-- MySQL Script generated by MySQL Workbench
-- Mi 21 Mär 2018 12:07:33 CET
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema vision
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema vision
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `vision` DEFAULT CHARACTER SET utf8 ;
USE `vision` ;

-- -----------------------------------------------------
-- Table `vision`.`vision__tag`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `vision`.`vision__tag` (
  `name` VARCHAR(20) NOT NULL,
  `color` VARCHAR(7) NOT NULL,
  `created` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`name`),
  UNIQUE INDEX `name_UNIQUE` (`name` ASC))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `vision`.`vision__diagram`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `vision`.`vision__diagram` (
  `name` VARCHAR(45) NOT NULL,
  `width` INTEGER NOT NULL DEFAULT 0,
  `height` INTEGER NOT NULL DEFAULT 0,
  `body` LONGTEXT NOT NULL,
  `strategies` LONGTEXT NOT NULL,
  `created` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`name`),
  UNIQUE INDEX `name_UNIQUE` (`name` ASC))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `vision`.`vision__template`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `vision`.`vision__template` (
  `name` VARCHAR(45) NOT NULL,
  `width` INTEGER NOT NULL DEFAULT 0,
  `height` INTEGER NOT NULL DEFAULT 0,
  `body` LONGTEXT NOT NULL,
  `strategies` LONGTEXT NOT NULL,
  `created` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`name`),
  UNIQUE INDEX `name_UNIQUE` (`name` ASC))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `vision`.`vision__tag_diagram`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `vision`.`vision__tag_diagram` (
  `tag_name` VARCHAR(45) NOT NULL,
  `diagram_name` VARCHAR(45) NOT NULL,
  `created` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`tag_name`, `diagram_name`),
  INDEX `fk_vision__tag_diagram_2_idx` (`diagram_name` ASC),
  CONSTRAINT `fk_1`
    FOREIGN KEY (`tag_name`)
    REFERENCES `vision`.`vision__tag` (`name`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE,
  CONSTRAINT `fk_2`
    FOREIGN KEY (`diagram_name`)
    REFERENCES `vision`.`vision__diagram` (`name`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
